Package: kbd
Version: 1.15.5-2
Severity: normal
Tags: patch
User: [email protected]
Usertags: usrmerge

The package installs a symbolic link and a file with the same name in
both /bin/ and /usr/bin/, so it makes impossible to convert a system
to the everything-in-usr directories scheme.

The attached patch solves this problem by creating the link in postinst
and only if it is needed.

For more information about everything-in-usr please read
http://anonscm.debian.org/cgit/users/md/usrmerge.git/tree/debian/README.Debian

-- 
ciao,
Marco
diff -urpN a/debian/kbd.links b/debian/kbd.links
--- a/debian/kbd.links	2014-10-25 11:42:49.000000000 +0200
+++ b/debian/kbd.links	2014-11-02 03:35:31.000000000 +0100
@@ -1,6 +1,2 @@
 bin/openvt			bin/open
 usr/share/man/man1/openvt.1.gz	usr/share/man/man1/open.1.gz
-
-# see #261801
-bin/dumpkeys			usr/bin/dumpkeys
-bin/loadkeys			usr/bin/loadkeys
diff -urpN a/debian/kbd.postinst b/debian/kbd.postinst
--- a/debian/kbd.postinst	1970-01-01 01:00:00.000000000 +0100
+++ b/debian/kbd.postinst	2014-11-02 03:35:48.000000000 +0100
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+    configure)
+        # see #261801
+        for file in dumpkeys loadkeys; do
+            if [ ! -e /usr/bin/$file ]; then
+                ln -s /bin/$file /usr/bin/$file
+            fi
+        done
+        ;;
+esac
+
+#DEBHELPER#
+
+# vim:sw=4:sts=4:et:
diff -urpN a/debian/kbd.postrm b/debian/kbd.postrm
--- a/debian/kbd.postrm	1970-01-01 01:00:00.000000000 +0100
+++ b/debian/kbd.postrm	2014-11-02 03:35:22.000000000 +0100
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+    remove)
+        for file in dumpkeys loadkeys; do
+            if [ -L /usr/bin/$file ]; then
+                rm /usr/bin/$file
+            fi
+        done
+        ;;
+esac
+
+#DEBHELPER#
+
+# vim:sw=4:sts=4:et:

Attachment: signature.asc
Description: Digital signature

Reply via email to